Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.createUser
Interface CreateUserControl

All Superinterfaces
  Serializable

Deprecated This control has been deprecated as of Portal 8.1.x

    @ControlInterface
    public interface CreateUserControl

extends Serializable

This control has been deprecated as of Portal 8.1.x. Use the UserProviderControl instead. This control:

- is used by the portal GUI components to create a user
- gives some indication as to whether the creation is successful by returning an instance of a ProfileWrapper if successful and throwing an exception if not
- is able to determine whether this user already exists

Control properties:

- doPostProcess If true, then executes the post-user-creation process after successfull user creation, which consists of authenticating the user, updating the profile in the session, firing a SessionLoginEvent, and firing a UserRegistrationEvent. Defaults to true
- saveAnonymous If true, then any properties the user may have set during this Session before registering are added to the new user's properties during the post-user-creation process. Defaults to true.
- fireEvent If true, then fire a UserRegistrationEvent during the post-user-creation process. Defaults to true.
- login If true, then performs a login of the user during the post-user-creation process. Defaults to true.

Nested Class Summary
`static interface` | `CreateUserControl.CreateUserParams` Deprecated Define the properties for this control.

Method Summary
`ProfileWrapper` | `createUser(String username, String password, javax.servlet.http.HttpServletRequest request)` Deprecated Use UserProviderControl.createUser(username, password, request)

Method Detail

### createUser

    ProfileWrapper createUser(String username,
                              String password,
                              javax.servlet.http.HttpServletRequest request)
                              throws P13nControlException

  Deprecated Use UserProviderControl.createUser(username, password, request)

  Create a new user and return an object representing the user's information.

  Parameters
    `username` - The user's login name
    `password` - The user's password
    `session` - The HttpRequest object, can be null
  Returns
    a ProfileWrapper representing the user's stored information
  Throws
    `P13nControlException` - if username or password is invalid, user already exists, or a remote exception occurs accessing the UserManager EJB.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.